Subject: bug#52908: 'tests/guix-system.sh' fails on aarch64-linux

From: Ludovic Courtès <[email-masked]>
Date: Thu, 06 Jan 2022 17:39:45 +0100

Hi,

Chris Marusich <[email-masked]> skribis:

> I've attached a different patch that attempts to fix the issue without
> requiring callers of set-xorg-configuration to update their code.  I
> believe this is more consistent with the intent of Ludo's original
> change in commit 49599fab564f203b8e92d32e9b28c99e99849bfb.

[...]

> From 09091cc8495e0b4c302a58961e79ac8455ecd208 Mon Sep 17 00:00:00 2001
> From: Chris Marusich <[email-masked]>
> Date: Mon, 3 Jan 2022 14:59:35 -0800
> Subject: [PATCH] services: Consistently use SDDM rather than GDM on
>  non-x86_64.
>
> This is a follow-up to 49599fab564f203b8e92d32e9b28c99e99849bfb.  Notably, it
> also deprecates (gnu services sddm) and moves what was there into (gnu
> services xorg).
>
> Fixes: <https://issues.guix.gnu.org/52908>.

I’d rather not move things and fix the bug in the same commit.  (I’m not
even convinced sddm needs to leave its own module, plus it would break
the API, which is not something to do lightly.)

[...]

>  (define* (set-xorg-configuration config
>                                   #:optional
>                                   (login-manager-service-type
> -                                  gdm-service-type))
> +                                  (let ((system (or (%current-target-system)
> +                                                    (%current-system))))
> +                                    (if (string-prefix? "x86_64" system)
> +                                        gdm-service-type
> +                                        sddm-service-type))))

[...]

> --- a/gnu/system/examples/vm-image.tmpl
> +++ b/gnu/system/examples/vm-image.tmpl
> @@ -107,12 +107,12 @@ root ALL=(ALL) ALL
>                   ;; Use the DHCP client service rather than NetworkManager.
>                   (service dhcp-client-service-type))
>  
> -           ;; Remove GDM, ModemManager, NetworkManager, and wpa-supplicant,
> -           ;; which don't make sense in a VM.
> +           ;; Remove some services that don't make sense in a VM.
>             (remove (lambda (service)
>                       (let ((type (service-kind service)))
>                         (or (memq type
>                                   (list gdm-service-type
> +                                       sddm-service-type

These bits LGTM.

Thanks for fixing it!

And yes, we’ll need to update the ‘guix’ package once this fix is in.

Ludo’.